Subject: Re: bug#63360: Bug+fix for eshell-hist-ignore-dups 'erase
From: Jim Porter <[email-masked]>
To: Alexander Kozhevnikov <[email-masked]>, [email-masked]
Date: Wed, 23 Aug 2023 18:31:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

On 5/7/2023 11:38 AM, Alexander Kozhevnikov wrote:
> I think the ideal fix here is a refactor that makes the big picture
> clearer (I can provide one if asked, but that would almost certainly
> have enough creative substance to require copyright assignment, and
> would need to wait on the paperwork).

Thanks for the analysis (and sorry about the long delay in following up 
on this!). I think you're right that this function needs a refactor, so 
I've now done so. I've also added regression tests for all three 
settings of 'eshell-hist-ignoredups', so hopefully this won't ever break 
in the future.

I've merged a fix for this to master as 7b0f24ab1f9, so closing this bug 
now.